# PHPCPDFormatterElement

A wrapper for the implementations of PHPCPDResultFormatter.

package | phing.tasks.ext.phpcpd
author | Benjamin Schultz bschultz@proqrent.de
version | $Id: c430c57cb2db4bff221d0bcf96ed4396b738da6d $

### Methods

## Construct a new PHPCPDFormatterElement with parent task.

    __construct(\PHPCPDTask $parentTask)

### Arguments

#### $parentTask

`\PHPCPDTask`

## Returns the report formatter.

    getFormatter() : \PHPCPDResultFormatter

### Response

`\PHPCPDResultFormatter`

## Get the output file.

    getOutfile() : \PhingFile

### Response

`\PhingFile`

## Get the formatter type

    getType() : string

### Response

`string`

## Return whether to write formatter results to file or not.

    getUseFile() : boolean

### Response

`boolean`

## Sets the output file for the formatter results.

    setOutfile(\PhingFile $outfile)

### Arguments

#### $outfile

`\PhingFile`

The output file

## Sets the formatter type.

    setType(string $type)

throws |

### Arguments

#### $type

`string`

Type of the formatter

## Set whether to write formatter results to file or not.

    setUseFile(boolean $useFile)

### Arguments

#### $useFile

`boolean`

True or false.

### Properties

## The report result formatter.

    formatter : \PHPCPDResultFormatter

var |

### Type(s)

`\PHPCPDResultFormatter`

## The type of the formatter.

    type : string

var |

### Type(s)

`string`

## Whether to use file (or write output to phing log).

    useFile : boolean

var |

### Type(s)

`boolean`

## Output file for formatter.

    outfile : \PhingFile

var |

### Type(s)

`\PhingFile`

## The parent task

    parentTask : \PHPCPDTask

var |

### Type(s)

`\PHPCPDTask`